ServerEvents.recipes(event => {
    event.remove({output: 'create:andesite_alloy'})
    event.remove({output: 'create:shaft'})
    event.remove({output: 'create:cogwheel'})
    event.remove({output: 'create:large_cogwheel'})
    event.remove({output: 'create:white_sail'})
    event.remove({output: 'create:windmill_bearing'})
    event.remove({output: 'create:water_wheel'})
    event.remove({output: 'create:large_water_wheel'})
    event.remove({id: 'create:sequenced_assembly/precision_mechanism'})
    event.remove({id: 'create:crafting/kinetics/mechanical_crafter'})
    event.remove({id: 'createaddition:compacting/seed_oil'})
    event.remove({id: 'create:crafting/kinetics/fluid_tank'})
    event.remove({id: 'create:crafting/kinetics/fluid_pipe_vertical'})
    event.remove({id: 'create:crafting/kinetics/fluid_pipe'})
    event.remove({id: 'create:crafting/kinetics/steam_engine'})
    event.remove({id: 'create:crafting/kinetics/mechanical_pump'})
})

ServerEvents.recipes(event => {
  //Andesite Alloy
  event.custom({
      "type": "tconstruct:casting_basin",
      "cast": {
          "item": "minecraft:andesite"
      },
      "cast_consumed": true,
      "cooling_time": 120,
      "fluid": {
          "amount": 180,
          "tag": "forge:molten_zinc"
      },
      "result": "create:andesite_alloy"
  }).id('create:andesite_alloy')
  
  event.custom({
    "type": "create:mixing", "ingredients": [{"item": "minecraft:andesite", "count": 1}, {"tag": "forge:ingots/zinc","count": 1}],
    "results": [{"item": "create:andesite_alloy", "count": 4}],
    "heatRequirement": "heated" 
  }).id('create:mixing/andesite_alloy')
    
  //Shaft
  event.shaped('2x create:shaft',
  [' 1 ',' 1 ','   '], {
    1: 'create:andesite_alloy'
  }).id('create:shaft')

event.custom({
"type": "create:pressing", "ingredients": [{"item": "create:andesite_alloy","count": 2}],
"results": [{"item": "2x create:shaft"}]
}).id('create:pressing/shaft')

//Cogwheel
event.shaped('create:cogwheel',
['111','121','111'], {
    1: '#minecraft:planks',
    2: 'create:shaft'
}).id('create:cogwheel')

//Large Cogwheel
event.shaped('create:large_cogwheel',
['131','323','131'], {
    1: '#minecraft:logs',
    2: 'create:shaft',
    3: 'create:cogwheel'
}).id('create:large_cogwheel')

//Windmill Bearing
event.shaped('create:windmill_bearing',
[' 1 ',' 2 ',' 3 '], {
    1: '#minecraft:wooden_slabs',
    2: 'create:brass_casing',
    3: 'create:shaft'
}).id('create:windmill_bearing')

//White Sail
event.shaped('4x create:white_sail',
['12 ','23 ','   '], {
    1: 'hexerei:infused_fabric_block',
    2: '#forge:rods/wooden',
    3: 'create:andesite_alloy'
}).id('create:white_sail')

//Water Wheel
event.shaped('create:water_wheel',
['111','121','111'], {
    1: 'create:cogwheel',
    2: 'create:gearbox'
}).id('create:water_wheel')

//Large Water Wheel
event.shaped('create:large_water_wheel',
['111','121','111'], {
  1: 'create:large_cogwheel',
  2: 'create:water_wheel'
}).id('create:large_water_wheel')

//Mechanical Crafter
event.shaped('2x create:mechanical_crafter',
[' 1 ',' 2 ',' 3 '], {
  1: 'create:electron_tube',
  2: 'create:brass_casing',
  3: 'minecraft:crafting_table'
}).id('create:mechanical_crafter')

//Precision Mechanism
  event.recipes.createSequencedAssembly([
    Item.of('create:precision_mechanism'),
    ], '#forge:plates/brass', [
    event.recipes.createDeploying('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'create:cogwheel']),
    event.recipes.createDeploying('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'create:large_cogwheel']),
    event.recipes.createDeploying('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'minecraft:iron_nugget'])
  ]).transitionalItem('create:incomplete_precision_mechanism').loops(3)

// Fluid Tank
  event.shaped('create:fluid_tank', 
  ['111','232','111'], {
    1: '#forge:plates/brass', 
    2: 'create:fluid_pipe',
    3: 'minecraft:barrel'
  }).id('create:crafts/fluid_tank')

// Fluid Pipe
event.shaped('2x create:fluid_pipe', 
['   ','121','   '], {
    1: '#forge:plates/brass', 
    2: '#forge:ingots/copper'
}).id('create:crafts/fluid_pipe')

// Steam Engine
event.shaped('create:steam_engine', 
[' 3 ',' 2 ','141'], {
    1: '#forge:storage_blocks/brass', 
    2: 'create:shaft',
    3: 'create:cogwheel',
    4: 'create:precision_mechanism'
}).id('create:crafts/steam_engine')

// Mechanical Pump
event.shaped('create:mechanical_pump', 
[' 2 ','131',' 2 '], {
  1: '#forge:plates/brass', 
  2: 'create:cogwheel',
  3: 'create:fluid_pipe'
}).id('create:crafts/mechanical_pump')

//Cinder Flour
event.custom({
  "type": "create:crushing",
  "ingredients": [
    {
      "item": "minecraft:netherrack"
    }
  ],
  "processingTime": 250,
  "results": [
    {
      "item": "create:cinder_flour"
    },
    {
      "chance": 0.5,
      "item": "create:cinder_flour"
    }
  ]
}).id('create:crushing/cinder_flour')

  //BoP -> Create Rose Quartz
  event.custom({
    "type": "create:haunting",
    "ingredients": [
      {
        "item": "biomesoplenty:rose_quartz_cluster"
      }
    ],
    "results": [
      {
        "item": "create:rose_quartz"
      }
    ]
  }).id('create:haunting/rose_quartz')

})